/* C-tori cu parametri
*/
#include <iostream>
#include <string>

class Book {
public:
    Book()
    {
        title = "";
        price = 0;
    }

    Book(std::string _title, int _price)
    {
        title = _title;
        price = _price;
    }

    Book(std::string _title)
    {
        title = _title;
        price = 0;
    }

    Book(int _price)
    {
        title = "";
        price = _price;
    }
private:
    std::string title;
    int price;
};

int main()
{
    Book b1;              // Book()
    Book b2 ("Ion", 25);  // Book(string, int)
    Book b3 ("Rascoala"); // Book(string)
    Book b4 (30);         // Book(int)


    Book b5;              // Book()
    Book b6 {"Ion", 25};  // Book(string, int)
    Book b7 {"Rascoala"}; // Book(string)
    Book b8 {30};         // Book(int)

}
