/* Lista de Initializare a Membrilor
   Member Initialization List
*/
#include <iostream>
#include <string>

class Book {
public:
    Book() : title (""), price (0)
    {}

    Book(std::string title, int price) :
        title (title), price (price)
    {}
    Book(std::string title) :
        title (title),
        price (price)
    {}

    Book(int price) : title (""), price (price)
    {}

private:
    std::string title;
    int price;
};

int main()
{
    Book b1;              // Book()
    Book b2 ("Ion", 25);  // Book(string, int)
    Book b3 ("Rascoala"); // Book(string)
    Book b4 (30);         // Book(int)


    Book b5;              // Book()
    Book b6 {"Ion", 25};  // Book(string, int)
    Book b7 {"Rascoala"}; // Book(string)
    Book b8 {30};         // Book(int)

}
